package com.liang.service.impl;

import com.liang.entity.PrjGwtask;
import com.liang.dao.PrjGwtaskDao;
import com.liang.service.PrjGwtaskService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 付款计划(PrjGwtask)表服务实现类
 *
 * @author makejava
 * @since 2023-07-09 13:13:10
 */
@Service("prjGwtaskService")
public class PrjGwtaskServiceImpl implements PrjGwtaskService {
    @Resource
    private PrjGwtaskDao prjGwtaskDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public PrjGwtask queryById(Integer id) {
        return this.prjGwtaskDao.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param prjGwtask   筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @Override
    public Page<PrjGwtask> queryByPage(PrjGwtask prjGwtask, PageRequest pageRequest) {
        long total = this.prjGwtaskDao.count(prjGwtask);
        return new PageImpl<>(this.prjGwtaskDao.queryAllByLimit(prjGwtask, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param prjGwtask 实例对象
     * @return 实例对象
     */
    @Override
    public PrjGwtask insert(PrjGwtask prjGwtask) {
        this.prjGwtaskDao.insert(prjGwtask);
        return prjGwtask;
    }

    /**
     * 修改数据
     *
     * @param prjGwtask 实例对象
     * @return 实例对象
     */
    @Override
    public PrjGwtask update(PrjGwtask prjGwtask) {
        this.prjGwtaskDao.update(prjGwtask);
        return this.queryById(prjGwtask.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.prjGwtaskDao.deleteById(id) > 0;
    }

    @Override
    public List<PrjGwtask> getGwTaslList(Map map) {
        return this.prjGwtaskDao.getGwTaslList(map);
    }
}
